Bug 17236 - Add minute and hours to last checked out item display for hourly loans
Summary: Add minute and hours to last checked out item display for hourly loans
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 22375
  Show dependency treegraph
 
Reported: 2016-09-02 00:56 UTC by Nick Clemens
Modified: 2019-05-27 12:29 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17236: Add minute an dhours to last checked out item on circulation for hourly loans (1.66 KB, patch)
2019-02-10 20:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17236: Add minute and hours to last checked out item on circulation for hourly loans (1.70 KB, patch)
2019-02-15 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17236: Add minute and hours to last checked out item on circulation for hourly loans (1.88 KB, patch)
2019-02-15 20:12 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 17236: Add minute and hours to last checked out item on circulation for hourly loans (1.92 KB, patch)
2019-02-20 12:22 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-09-02 00:56:46 UTC
bug 13315 added a display of the last item checked out. Some libraries use this feature and also use hourly loans and would like the feedback to include this information.
Comment 1 Katrin Fischer 2019-02-10 20:38:17 UTC
Created attachment 84950 [details] [review]
Bug 17236: Add minute an dhours to last checked out item on circulation for hourly loans

This is a simple fix using the right TT filter:
[% issue.date_due | $KohaDates as_due_date => 1 %]

The time part of the due date will only display if it's an hourly loan (!=23:59)

To test:
- Check out 2 items
  - One with a loan period in days
  - One with a loan period in hours
- Verify the the due date only shows the date part
- Apply patch
- Return items and repeat
- Verify that now the time part will show for the hourly loan
Comment 2 Owen Leonard 2019-02-15 15:22:19 UTC
Created attachment 85181 [details] [review]
Bug 17236: Add minute and hours to last checked out item on circulation for hourly loans

This is a simple fix using the right TT filter:
[% issue.date_due | $KohaDates as_due_date => 1 %]

The time part of the due date will only display if it's an hourly loan (!=23:59)

To test:
- Check out 2 items
  - One with a loan period in days
  - One with a loan period in hours
- Verify the the due date only shows the date part
- Apply patch
- Return items and repeat
- Verify that now the time part will show for the hourly loan

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Mikaël Olangcay Brisebois 2019-02-15 20:12:50 UTC
Created attachment 85191 [details] [review]
Bug 17236: Add minute and hours to last checked out item on circulation for hourly loans

This is a simple fix using the right TT filter:
[% issue.date_due | $KohaDates as_due_date => 1 %]

The time part of the due date will only display if it's an hourly loan (!=23:59)

To test:
- Check out 2 items
  - One with a loan period in days
  - One with a loan period in hours
- Verify the the due date only shows the date part
- Apply patch
- Return items and repeat
- Verify that now the time part will show for the hourly loan

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 4 Josef Moravec 2019-02-20 12:22:34 UTC
Created attachment 85330 [details] [review]
Bug 17236: Add minute and hours to last checked out item on circulation for hourly loans

This is a simple fix using the right TT filter:
[% issue.date_due | $KohaDates as_due_date => 1 %]

The time part of the due date will only display if it's an hourly loan (!=23:59)

To test:
- Check out 2 items
  - One with a loan period in days
  - One with a loan period in hours
- Verify the the due date only shows the date part
- Apply patch
- Return items and repeat
- Verify that now the time part will show for the hourly loan

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-02-22 15:04:39 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-26 09:33:49 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-08 02:19:55 UTC
backported to 18.05.x for 18.05.11